/*
 * Copyright (c) 2000 Shlomi Fish
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */
/*
 * fcs_back_compat.h - Backward compatibility control configuration file for
 * Freecell Solver
 *
 * fcs_back_compat.h was auto-generated from fcs_back_compat.h.in . Do not modify directly
*/

#ifndef FC_SOLVE__BACK_COMPAT_H
#define FC_SOLVE__BACK_COMPAT_H

#ifdef __cplusplus
extern "C" {
#endif

/* #undef FCS_BREAK_BACKWARD_COMPAT_1 */

#ifdef FCS_BREAK_BACKWARD_COMPAT_1
#ifndef FC_SOLVE_IMPLICIT_T_RANK
#define FC_SOLVE_IMPLICIT_T_RANK
#endif
#endif

#ifdef FC_SOLVE_IMPLICIT_T_RANK
#define FC_SOLVE__PASS_T(arg)
#else
#define FC_SOLVE__PASS_T(arg) , arg
#endif

#ifdef FCS_BREAK_BACKWARD_COMPAT_1
#ifndef FC_SOLVE_IMPLICIT_PARSABLE_OUTPUT
#define FC_SOLVE_IMPLICIT_PARSABLE_OUTPUT
#endif
#endif

#ifdef FC_SOLVE_IMPLICIT_PARSABLE_OUTPUT
#define FC_SOLVE__PASS_PARSABLE(arg)
#else
#define FC_SOLVE__PASS_PARSABLE(arg) , arg
#endif

#ifdef FCS_BREAK_BACKWARD_COMPAT_1
#ifndef FC_SOLVE__REMOVE_TRAILING_WHITESPACE_IN_OUTPUT
#define FC_SOLVE__REMOVE_TRAILING_WHITESPACE_IN_OUTPUT
#endif
#endif

#ifdef FCS_BREAK_BACKWARD_COMPAT_1
#ifndef FC_SOLVE__STRICTER_BOARD_PARSING
#define FC_SOLVE__STRICTER_BOARD_PARSING
#endif
#endif

#ifdef FCS_BREAK_BACKWARD_COMPAT_1
#ifndef FC_SOLVE__REMOVE_OLD_API_1
#define FC_SOLVE__REMOVE_OLD_API_1
#endif
#endif
#ifdef __cplusplus
}
#endif

#endif    /* #ifndef FC_SOLVE__BACK_COMPAT_H */

